org.eclipse.mat.query

## Enum Column.SortDirection

- java.lang.Object
- - java.lang.Enum<Column.SortDirection>
  - - org.eclipse.mat.query.Column.SortDirection

All Implemented Interfaces:
  Serializable, Comparable<Column.SortDirection>

Enclosing class:
  Column

    public static enum Column.SortDirection
    extends Enum<Column.SortDirection>

Sort direction of the column. To sort the values, either the attached formatter is used or the natural sorting order.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASC` Ascending
`DESC` Descending

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Column.SortDirection` `defaultFor(Column column)` Get the default ordering for a column.
`int` `getSwtCode()` The SWT code of the alignment for convenience purposes.
`static Column.SortDirection` `of(int swtCode)` Get the direction the column is sorted in based on SWT code
`static Column.SortDirection` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Column.SortDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final Column.SortDirection ASC

Ascending

#### DESC

    public static final Column.SortDirection DESC

Descending

### Method Detail

#### values

    public static Column.SortDirection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Column.SortDirection c : Column.SortDirection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Column.SortDirection valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSwtCode

    public int getSwtCode()

The SWT code of the alignment for convenience purposes.

Returns:
  a code for use with Eclipse SWT

#### of

    public static Column.SortDirection of(int swtCode)

Get the direction the column is sorted in based on SWT code

Parameters:
  `swtCode` - the code from SWT
Returns:
  the sort direction

#### defaultFor

    public static Column.SortDirection defaultFor(Column column)

Get the default ordering for a column. Currently descending for numeric, ascending for the rest.

Parameters:
  `column` - the column to inspect
Returns:
  the direction